# Uses of Class
org.apache.sling.graphql.helpers.lazyloading.LazyLoadingMap

Packages that use LazyLoadingMap
Package
Description
org.apache.sling.graphql.helpers.lazyloading
This package contains helpers which are independent of a specific implementation of the underlying graphQL engine.

## Uses of LazyLoadingMap in org.apache.sling.graphql.helpers.lazyloading

Methods in org.apache.sling.graphql.helpers.lazyloading that return LazyLoadingMap
Modifier and Type
Method
Description
`LazyLoadingMap<K,T>`
LazyLoadingMap.`computeAllThrowsException(boolean b)`
Optionally throw a RuntimeException if computeAll is called
`LazyLoadingMap<K,T>`
LazyLoadingMap.`computeValueOnRemove(boolean b)`
Optionally compute the value on remove, so that it doesn't return null